<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>WinExe</OutputType>
	  <TargetFramework>net6.0-windows</TargetFramework>
    <RollForward>Major</RollForward>
    <PublishReadyToRun>false</PublishReadyToRun>
    <TieredCompilation>false</TieredCompilation>
	  <EnableWindowsTargeting>true</EnableWindowsTargeting>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationManifest>app.manifest</ApplicationManifest>
    <ApplicationIcon>Icon.ico</ApplicationIcon>
  </PropertyGroup>
  <ItemGroup>
    <None Remove="Icon.ico" />
    <None Remove="Icon.bmp" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Icon.ico" />
    <EmbeddedResource Include="Icon.bmp" />
  </ItemGroup>
  <ItemGroup>
	  <PackageReference Include="MonoGame.Framework.WindowsDX" Version="3.8.1.303" />
	  <PackageReference Include="MonoGame.Content.Builder.Task" Version="3.8.1.303" />
	  <PackageReference Include="NLog" Version="5.2.4" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Maze\Maze.csproj" />
    <ProjectReference Include="..\MazeRecursion\MazeRecursion.csproj" />
    <ProjectReference Include="..\MazeHuntKill\MazeHuntKill.csproj" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="MazeFromFile">
      <HintPath>..\MazeFromFile.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <None Update="NLog.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <Target Name="RestoreDotnetTools" BeforeTargets="Restore">
    <Message Text="Restoring dotnet tools" Importance="High" />
    <Exec Command="dotnet tool restore" />
  </Target>
</Project>